// Copyright (c) 2025 Zeni Kim <zenik@smarteching.com>
// Use of this source code is governed by MIT-style
// license that can be found in the LICENSE file.

package models

type Role struct {
	BaseModel
	Name string // The name of the role
	Slug string // String based unique identifier of the role, (use hyphen seperated role name '-', instead of space)
}

// TableName sets the table name
func (Role) TableName() string {
	return "roles"
}
